Skip to main content

Create or Update MLE Configuration for Target

PUT 

/targets/:id/mle/

Create or replace the MLE configuration for a target by uploading public key and client's private key as PEM files.

Request​

Path Parameters

    id stringrequired

Body

required

    key_id stringrequired

    The non-sensitive Key ID from Visa.

    scope uri[]

    Update the list of URLs where MLE is applied.
    Each URL must include the scheme and hostname
    (e.g., ["https://api.example.com/v1/payments"]).

    server_public_key urirequired

    Possible values: Value must match regular expression (?:pem)$

    The .pem file containing Visa's public key.

    client_private_key urirequired

    Possible values: Value must match regular expression (?:pem)$

    The .pem file containing the client's private key.

Responses​

Schema

    configured booleanrequired

    Indicates if MLE is configured for the target.

    enabled booleanrequired

    Indicates if MLE is currently enabled for the target.

    key_id stringnullablerequired

    The Key ID for MLE configuration.

    scope string[]nullablerequired

    List of URLs where MLE is applied.

Loading...